#!/bin/sh
RATE="44.1k"
NEW_DIR="new"
DEST_DIR="audio"
LIST_FILE="list.lua"
HEADER="--each entry in 'tunes' should be an array like this: {\"filename\", length_in_ms}
--note: make sure these have samplerates of 44100 kHz or they may be played incorrectly
KombatTunes.tunes = {"
FOOTER="}"

for i in "$NEW_DIR"/*; do
	if [ -f "$i" ]; then
		NAME="$(basename "$i")"
		for EXT in .mp3 .ogg .flac .wav .au; do
			NAME="$(basename "$NAME" "$EXT")"
		done

		#convert audio
		sox "$i" -r 44.1k "$NAME.wav"
		normalize "$NAME.wav"
		oggenc "$NAME.wav"
		
		#move audio
		mv "$NAME.ogg" "$DEST_DIR"
		
		#clean up
		rm "$NAME.wav" "$i"
	fi
done

#update list
echo "$HEADER" > "$LIST_FILE"
./dump_dur.sh "$DEST_DIR"/*.ogg >> "$LIST_FILE"
echo "$FOOTER" >> "$LIST_FILE"
