KombatTunes.ui = {}

KombatTunes.ui.dlg = nil
KombatTunes.ui.current = ""

function KombatTunes.ui.show()
	if KombatTunes.ui.dlg == nil then
		KombatTunes.ui.dlg = KombatTunes.ui.CreateDlg()
	end
	ShowDialog(KombatTunes.ui.dlg,iup.CENTER, iup.CENTER)
end

function KombatTunes.ui.CreateDlg()
	local maindlg
	
	--crate main vbox to hold everything
	local mainv = iup.vbox{
		iup.hbox{iup.fill{},iup.label{title="KombatTunes",font=Font.H3},iup.fill{}},
		gap=2,
		margin="2x2"
	}
	
	--create a list of songs
	local songarray = {}
	for i,song in pairs(KombatTunes.tunes) do
		songarray[i] = song[1]
		songarray[i+1] = nil
	end
	songarray.expand="YES"
	songarray.bgcolor = "37 73 98" --254962
	local songlist = iup.list(songarray)
	--set action when clicked/double-clicked
	function songlist:action(title,i,v)
		--TODO: set timer for better dblclk detection
		if v == 1 then
			if title == KombatTunes.ui.current then
				KombatTunes.new(title)
			else
				KombatTunes.ui.current=title
			end
		end
	end
	iup.Append(mainv, songlist)
	
	--add play button
	local playbutton = iup.stationbutton{title="Play",action=function() KombatTunes.new(KombatTunes.ui.current) end}	
	iup.Append(mainv, playbutton)
	
	--add mute button
	local mutebutton = iup.stationbutton{title="Mute",action=function() gksound.GKStopMusic() end}	
	iup.Append(mainv, mutebutton)
	
	--add ambient button
	local ambbutton = iup.stationbutton{title="Ambient",action=function() gksound.GKPlayMusic("music/ambient_1.ogg") end}	
	iup.Append(mainv, ambbutton)
	
	--close button
	local closebutton = iup.stationbutton{title="Close",action=function() HideDialog(maindlg) end}	
	iup.Append(mainv, closebutton)
	
	maindlg = iup.dialog{
		iup.stationhighopacityframe{
			iup.stationhighopacityframebg{
				mainv
			}
		},
		menubox="NO",
		resize="NO",
		border="NO",
		defaultesc = closebutton,
		bgcolor = "0 0 0 0 *",
		topmost="YES",
		height="400",
		size="800x400",
	}

	return(maindlg)

end
